Bug 1267253 - Negative offset during otptoken-sync suffers causes integer underflow
Negative offset during otptoken-sync suffers causes integer underflow
Status: CLOSED DUPLICATE of bug 1217009
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 09:04 EDT by Tomas Babej
Modified: 2016-05-05 00:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 01:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Babej 2015-09-29 09:04:50 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/5333

If a negative offset between the device and the server is detected during otptoken-sync, it will underflow, and set a large positive value as offset instead.

{{{

-------------------
1 OTP token matched
-------------------
  dn:
ipatokenuniqueid=1e7a8029-8872-46f5-8254-9d03a62d2417,cn=otp,dc=ipa,dc=test
  Unique ID: 1e7a8029-8872-46f5-8254-9d03a62d2417
  Type: TOTP
  Owner: test
  Key: eu/S8oUunB188tRc5HE8CkxMmyI=
  Algorithm: sha1
  Digits: 6
  Clock offset: 4294963816
  Clock interval: 30
  ipatokentotpwatermark: 48117551
  objectclass: top, ipatokentotp, ipatoken
}}}
Comment 2 Nathaniel McCallum 2015-09-29 09:15:43 EDT
This is probably a duplicate of:
https://bugzilla.redhat.com/show_bug.cgi?id=1217009
Comment 3 Tomas Babej 2015-09-29 09:18:52 EDT
Hashes in the previous comment are not correct, following ones are.

master:
https://fedorahosted.org/freeipa/changeset/9e3eeadeb3120f3577e00ab9cb410eccf8d71de0
ipa-4-2:
https://fedorahosted.org/freeipa/changeset/7db0a8e8512733ff91462b9b3b20c21ad6ec4212
Comment 4 Jan Cholasta 2015-09-30 01:53:23 EDT
This is indeed a duplicate of bug 1217009.

*** This bug has been marked as a duplicate of bug 1217009 ***

Note You need to log in before you can comment on or make changes to this bug.